LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 05-20-2007, 02:04 AM   #1
d2490n
Member
 
Registered: Jul 2005
Location: San Diego, CA
Distribution: RHEL, Debian, Gentoo when I'm brave.
Posts: 47

Rep: Reputation: 15
beryl installed wrong?


Ok so i have bin working on this for a good day and a half, and i still have no idea what i need to to do to fix this. I am running slack 11, I upgraded x to r7, updated my nvidea drivers, installed beryl (from .tgz binarys many times and from source), and i dont know what i did wrong.

beryl command gives me

Code:
(passes, passed passed....)
Checking maximum texture size                   : passed (4096x4096)

beryl: SmcOpenConnection failed: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
*** glibc detected *** double free or corruption (fasttop): 0x080a97b0 ***
Aborted
beryl-settings gives me
Code:
Traceback (most recent call last):
  File "/usr/bin/beryl-settings", line 22, in ?
    import berylsettings
ImportError: No module named berylsettings
beryl-settings-simple gives me


Code:
Traceback (most recent call last):
  File "/usr/bin/beryl-settings-simple", line 20, in ?
    import gobject,berylsettings,os,gettext,pygtk,gtk
ImportError: No module named gobject

and beryl-manager gives me
Code:
beryl-manager: error while loading shared libraries: libglitz.so.1: cannot open shared object file: No such file or directory

i have a beryl-manager icon in my gui (xfce) but it dosent do anything.

i have also tried to find libglitz.so.1 but no luck so far.

any help is greatly appreciated.
thankyou.
 
Old 05-20-2007, 04:58 AM   #2
norim666
LQ Newbie
 
Registered: May 2007
Posts: 10

Rep: Reputation: 0
Try to use the fglrx driver. Do you have XGL installed?
 
Old 05-20-2007, 01:09 PM   #3
Fosforo
LQ Newbie
 
Registered: Jan 2007
Distribution: Slackware 11.0
Posts: 22

Rep: Reputation: 16
Beryl won't run without 3D acceleration running on your computer, so that might be the problem (I don't know, I don't use Beryl). I'm not familiar with how to do it, so you might need to google or wait for someone else to tell you how, but find out if 3D acceleration is working. Turn it on and it may fix the problem.

Sorry I can't be more help :\
 
Old 05-21-2007, 07:16 PM   #4
d2490n
Member
 
Registered: Jul 2005
Location: San Diego, CA
Distribution: RHEL, Debian, Gentoo when I'm brave.
Posts: 47

Original Poster
Rep: Reputation: 15
i dont have xgl installed, i havent even thought of it, i will try that first, thank you.

edit: fglrx looks like an ati driver, i have an nvidea geforce go. It seems that xgl is installed as part of beryl-core. so i think im back where i started.

Last edited by d2490n; 05-21-2007 at 09:06 PM.
 
Old 05-21-2007, 07:35 PM   #5
masonm
Senior Member
 
Registered: Mar 2003
Location: Following the white rabbit
Distribution: Slackware64 13.37 Android 4.0
Posts: 2,248

Rep: Reputation: 46
fglrx is an ATI driver, not an nvidia driver.

The problem you're seeing is that you are missing a lot of libs. The easiest way I know to get all of them installed is to install Dropline Gnome. Even if you don't plan to use it at least you'll have the missing libs.

Either that or install each one manually as you figure out what they are.
 
Old 05-22-2007, 02:38 AM   #6
d2490n
Member
 
Registered: Jul 2005
Location: San Diego, CA
Distribution: RHEL, Debian, Gentoo when I'm brave.
Posts: 47

Original Poster
Rep: Reputation: 15
ok, i installed dropline, still get the same errors. looks like i was wrong and xgl is not part of beryl-core, but i cant seem to find any xgl packages. also whenever i install something from a *.tgz package i get
Code:
/sbin/ldconfig: /usr/lib/libdv.so.4 is not a symbolic link
i wonder if that might be the root of the issue (i will feel pretty dumb if it is).
 
Old 05-22-2007, 08:54 AM   #7
masonm
Senior Member
 
Registered: Mar 2003
Location: Following the white rabbit
Distribution: Slackware64 13.37 Android 4.0
Posts: 2,248

Rep: Reputation: 46
At this point it's hard to tell. If you installed Dropline and are still getting the same errors that's a bad sign. Perhaps the problem is the beryl packages you installed?

When I installed Beryl on Slack with Dropline already installed it went just fine. Some of the errors you posted are related to to the pygtk package which comes with Dropline and that should have fixed that problem.

I'd have a look at that lib you posted last and see what's up with it. Something has definitely been borked while you've been mucking around with all of this.


You shouldn't actually need XGL if you upgraded to modular xorg as AIGLX is the preferred method and works fine with an nvidia card.

Last edited by masonm; 05-22-2007 at 08:56 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Firefox Crashes with Beryl what is wrong? mitchell7man Linux - Software 2 04-29-2007 04:13 PM
Installed beryl, but get an error message; ' glx_ext_texture_from_pixmap' is missing sleekmason Linux - Software 3 02-14-2007 02:26 AM
Installed beryl, now screen savers not working??? Xswitch Ubuntu 1 12-02-2006 03:43 AM
Installed the wrong Wine! Kristic Linux - Newbie 3 09-03-2003 07:46 PM
Installed wrong monitor SherylGlas Linux - Newbie 3 02-19-2003 09:59 PM


All times are GMT -5. The time now is 03:30 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration